| Home | Libraries | People | FAQ | More

## Class template ostream_time_duration_formatter

boost::date_time::ostream_time_duration_formatter — Put a time type into a stream using appropriate facets.

## Synopsis

    // In header: <boost/date_time/time_formatting_streams.hpp>

    template<typename time_duration_type, typename charT = char>
    class ostream_time_duration_formatter {
    public:
      // types
      typedef std::basic_ostream< charT >                 ostream_type;
      typedef time_duration_type::fractional_seconds_type fractional_seconds_type;

      // public static functions
      static void duration_put(const time_duration_type &, ostream_type &);
    };

## Description

### `ostream_time_duration_formatter` public static functions

1.     static void duration_put(const time_duration_type & td, ostream_type & os);

   Put time into an ostream.